import java.lang.*;
import java.math.*;
import java.util.*;
import java.lang.reflect.*;


@Converter(forClass=CDate.class, id="ConvertCDate1")
class ConvertCDate1 //implements javax.faces.convert.Converter
{
	public Object getAsObject(Object arg0, Object arg1, String arg2)
	{
		if(arg2 != null)
		{
			long v = Long.parseLong(arg2);
			return new CDate(v);
		}
		else
			return null;
	}

	public String getAsString(Object arg0, Object arg1, Object arg2)
	{
		return ((CDate)arg2).getId().toString();
	}
}
